Package com.documentum.registry

# Interface IDfCheckedOutObject

All Superinterfaces:
  `IDfClientRegistryObject`

public interface IDfCheckedOutObject extends IDfClientRegistryObject
Represents registry information for a checked out object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSharedDocument(IDfId parentId)`
  Adds the object id of the parent that shares this checked out object.
  `void`
  `clearModifiedAttrs()`
  Removes all the modified attributes.
  `boolean`
  `getCreatedAsLocalCopy()`
  Returns whether or not the checked out object was originally created as a Desktop Client local file.
  `boolean`
  `getKeepLocalFile()`
  Returns a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.
  `String`
  `getMasterObjectId()`
  Returns the master object id of the current checked out object.
  `String`
  `getModified()`
  `String`
  `getModifiedAttr(String name)`
  Gets the value of a modified attribute.
  `IDfList`
  `getModifiedAttrs()`
  Returns a list of attribute names for the attributes that have been modified while the document is checked out.
  `IDfList`
  `getSharedDocuments()`
  Returns the list of the object id's of all the documents that share this checked out object
  `String`
  `getUserName()`
  Returns the user name for the user who checked out this document.
  `String`
  `getVersion()`
  Returns the implict version label of the checked out document.
  `void`
  `removeSharedDocument(IDfId parentId)`
  Removes the object id of the document that shares this checked out object.
  `void`
  `setCreatedAsLocalCopy(boolean createdAsLocalCopy)`
  Set whether the checked-out object was originally created as a local file
  `void`
  `setKeepLocalFile(boolean keepLocalFile)`
  Sets a boolean value indicating whether or not the local content file should be preserved or deleted when the document is checked back in to the docbase.
  `void`
  `setMasterObjectId(String masterObjectId)`
  Sets the master object id of the replica or reference object.
  `void`
  `setModified(String modified)`
  Sets the modification date of the file
  `void`
  `setModifiedAttr(String name, String value)`
  Marks that an attribute has been changed with the checked-out object.
  `void`
  `setUserName(String userName)`
  Sets the full user name of the user
  `void`
  `setVersion(String version)`
  Sets the version label of the object

  ### Methods inherited from interface com.documentum.registry.IDfClientRegistryObject

  `getContentIdentifier, getDocbaseId, getDocbaseName, getDocbroker, getDomainName, getFilePath, getFolderPath, getFormat, getFormatDescription, getObjectId, getObjectName, getResourceForkIdentifier, getTitle, getType, getUser, getVStamp, isDirty, loadFromRegistry, setContentIdentifier, setDocbaseId, setDocbaseName, setDocbroker, setDomainName, setFilePath, setFolderPath, setFormat, setFormatDescription, setObjectId, setObjectName, setResourceForkIdentifier, setTitle, setType, setUser, setVStamp, updateRegistry`

- ## Method Details

  - ### setKeepLocalFile

    void setKeepLocalFile(boolean keepLocalFile)
    Sets a boolean value indicating whether or not the local content file should be preserved or deleted when the document is checked back in to the docbase.
    Parameters:
      `keepLocalFile` - if true the local content file will not be deleted.

  - ### getKeepLocalFile

    boolean getKeepLocalFile()
    Returns a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.
    Returns:
      if true, the local content file will not be deleted.

  - ### setCreatedAsLocalCopy

    void setCreatedAsLocalCopy(boolean createdAsLocalCopy)
    Set whether the checked-out object was originally created as a local file
    Parameters:
      `createdAsLocalCopy` - true if the file was originally a local file

  - ### getCreatedAsLocalCopy

    boolean getCreatedAsLocalCopy()
    Returns whether or not the checked out object was originally created as a Desktop Client local file.
    Returns:
      true if created as local file

  - ### setUserName

    void setUserName(String userName)
    Sets the full user name of the user
    Parameters:
      `userName` - the full user name of the user

  - ### getUserName

    String getUserName()
    Returns the user name for the user who checked out this document.
    Returns:
      the full user name of the user associated with this file

  - ### setModified

    void setModified(String modified)
    Sets the modification date of the file
    Parameters:
      `modified` - the modification date of the file

  - ### getModified

    String getModified()
    Returns:
      the modification date of the file

  - ### setVersion

    void setVersion(String version)
    Sets the version label of the object
    Parameters:
      `version` - the version label of the object

  - ### getVersion

    String getVersion()
    Returns the implict version label of the checked out document.
    Returns:
      the version label of the object

  - ### getModifiedAttrs

    IDfList getModifiedAttrs() throws DfException
    Returns a list of attribute names for the attributes that have been modified while the document is checked out. Note: this method is currently internal and reserved for future use.
    Returns:
      a IDfList object containing the names of the attrs that have been modified
    Throws:
      `DfException`

  - ### setModifiedAttr

    void setModifiedAttr(String name, String value) throws DfException
    Marks that an attribute has been changed with the checked-out object. Note: this method is currently internal and reserved for future use.
    Parameters:
      `name` - the name of the attribute
      `value` - the value the attribute have been changed to
    Throws:
      `DfException`

  - ### getModifiedAttr

    String getModifiedAttr(String name) throws DfException
    Gets the value of a modified attribute. Note: this method is currently internal and reserved for future use.
    Parameters:
      `name` - the name of a modified attribute
    Returns:
      the value of the modified attribute
    Throws:
      `DfException`

  - ### clearModifiedAttrs

    void clearModifiedAttrs()
    Removes all the modified attributes. Note: this method is currently internal and reserved for future use.

  - ### getSharedDocuments

    IDfList getSharedDocuments() throws DfException
    Returns the list of the object id's of all the documents that share this checked out object
    Returns:
      a IDfList containing the object id's of all the documents that share this checked out object.
    Throws:
      `DfException`

  - ### addSharedDocument

    void addSharedDocument(IDfId parentId) throws DfException
    Adds the object id of the parent that shares this checked out object. Method updateRegistry needs to be called inorder to persistently store the information in the registry.
    Parameters:
      `parentId` - the id of the parent object that shares this checked out object.
    Throws:
      `DfException`

  - ### removeSharedDocument

    void removeSharedDocument(IDfId parentId) throws DfException
    Removes the object id of the document that shares this checked out object. Method updateRegistry needs to be called inorder to persistently store the information in the registry.
    Parameters:
      `parentId` - object id of the document that shares this checked out object
    Throws:
      `DfException`

  - ### setMasterObjectId

    void setMasterObjectId(String masterObjectId) throws DfException
    Sets the master object id of the replica or reference object. The master object id corresponds to the the original object in the docbase from which it was replicated or referenced.
    Parameters:
      `masterObjectId` - master object id of the current checked out object.
    Throws:
      `DfException`

  - ### getMasterObjectId

    String getMasterObjectId() throws DfException
    Returns the master object id of the current checked out object.
    Returns:
      the master object id of the current checked out object.
    Throws:
      `DfException`